Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_ClassObjectData

    java.lang.Object
      oracle.ifs.server.S_LibraryObjectData
          oracle.ifs.server.S_ClassObjectData

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, LooselyBoundedCacheable

    public final class S_ClassObjectData

extends S_LibraryObjectData
implements java.lang.Cloneable

The S_LibraryObjectData class is an opaque class used to manage the data for an iFS CLASSOBJECT.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`static java.lang.Long` | `CLASSOBJECT_CLASSID` Magic number: the class id of CLASSOBJECT.
`protected long` | `m_AttributesCheckedRsn` The resolution sequence number at which the validity of the m_EffectiveClassAttributeIndexesByName, m_EffectiveClassAttributeIds, and m_ExtendedAttributeCount members was last confirmed.
`protected long` | `m_AttributesRsn` The resolution sequence number of m_EffectiveClassAttributeIndexesByName, m_EffectiveClassAttributeIds, and m_ExtendedAttributeCount.
`protected java.lang.reflect.Constructor` | `m_BeanConstructor` The constructor for the LibraryObject subclass that represents instances of this CLASSOBJECT.
`protected java.lang.Long[]` | `m_EffectiveClassAttributeIds` The Long ids of the effective attributes of the CLASSOBJECT represented by this S_ClassObjectData.
`protected java.util.HashMap` | `m_EffectiveClassAttributeIndexesByName` The Integer indexes of the effective attributes of the CLASSOBJECT represented by this S_ClassObjectData.
`protected int` | `m_ExtendedAttributeCount` The number of attributes introduced by the CLASSOBJECT represented by this S_ClassObjectData over its superclass CLASSOBJECT.
`protected boolean` | `m_HasExtendedArrayAttributes` Indicates whether this S_ClassObjectData introduces any array attributes.
`protected java.lang.reflect.Constructor` | `m_SelectorConstructor` The constructor for the S_LibraryObjectSelector subclass for this CLASSOBJECT.
`protected java.lang.reflect.Constructor` | `m_ServerConstructor` The constructor for the S_LibraryObject subclass that represents instances of this CLASSOBJECT.
`protected java.lang.reflect.Constructor` | `m_ServerConstructorForCreate` The constructor for the S_LibraryObject subclass that represents instances of this CLASSOBJECT.
`static java.lang.Long` | `SCHEMAOBJECT_CLASSID` Magic number: the class id of SCHEMAOBJECT.

Fields inherited from class oracle.ifs.server.S_LibraryObjectData
`m_Attributes, m_ClassId, m_FullySelected, m_Id, m_Rsn`

Constructor Summary
`S_ClassObjectData(java.lang.Long id, java.lang.Long classId, AttributeValue[] attributes, boolean fullySelected, S_LibrarySession session)` Constructs an S_ClassObjectData.

Method Summary
`long` | `getAttributesRsn()` Gets the resolution sequence number of m_EffectiveClassAttributeIndexesByName, m_EffectiveClassAttributeIds, and m_ExtendedAttributeCount.
`java.lang.reflect.Constructor` | `getBeanConstructor(LibrarySession session)` Gets the Constructor for the LibraryObject subclass that represents instances of this CLASSOBJECT.
`java.lang.String` | `getDatabaseBaseViewName(LibrarySessionInterface session)` Gets the name of the database base view of the class.
`java.lang.String` | `getDatabaseObjectName(LibrarySessionInterface session)` Gets the class database object name.
`java.lang.String` | `getDatabaseTableName(LibrarySessionInterface session)` Gets the name of the database table of the class.
`java.lang.String` | `getDatabaseViewName(LibrarySessionInterface session)` Gets the name of the database view of the class.
`protected int` | `getEffectiveClassAttributeCount(LibrarySessionInterface session)` Gets the number of effective attributes in this class.
`S_AttributeData` | `getEffectiveClassAttributeData(int index, LibrarySessionInterface session)` Gets the specified effective attribute of the CLASSOBJECT as an S_AttributeData object.
`S_AttributeData[]` | `getEffectiveClassAttributeData(LibrarySessionInterface session)` Gets the effective attributes for the CLASSOBJECT as an array of S_AttributeData objects.
`S_AttributeData` | `getEffectiveClassAttributeData(java.lang.String attributeName, LibrarySessionInterface session)` Gets the specified effective attribute of the CLASSOBJECT as an S_AttributeData object.
`int` | `getEffectiveClassAttributeIndex(java.lang.String attributeName, LibrarySessionInterface session)` Gets the array index of the specified effective attribute of the CLASSOBJECT.
`S_AttributeData` | `getExtendedClassAttributeData(int index, LibrarySessionInterface session)` Gets the specified extended attribute of the CLASSOBJECT as an S_AttributeData object.
`S_AttributeData[]` | `getExtendedClassAttributeData(LibrarySessionInterface session)` Gets the extended attributes for the CLASSOBJECT as an array of S_AttributeData objects.
`S_AttributeData` | `getExtendedClassAttributeData(java.lang.String attributeName, LibrarySessionInterface session)` Gets the specified effective attribute of the CLASSOBJECT as an S_AttributeData object.
`int` | `getExtendedClassAttributeIndex(java.lang.String attributeName, LibrarySessionInterface session)` Gets the array index of the specified extended attribute of the CLASSOBJECT.
`java.lang.String` | `getName(LibrarySessionInterface session)` Gets the class name.
`java.lang.reflect.Constructor` | `getSelectorConstructor(S_LibrarySession session)` Gets the Constructor for the S_LibraryObjectSelector subclass for this CLASSOBJECT.
`java.lang.String` | `getServerClassPath(LibrarySessionInterface session)` Gets the server-side classname.
`java.lang.reflect.Constructor` | `getServerConstructor(S_LibrarySession session)` Gets the Constructor for the S_LibraryObject subclass that represents instances of this CLASSOBJECT.
`java.lang.reflect.Constructor` | `getServerConstructorForCreate(S_LibrarySession session)` Gets the Constructor for the S_LibraryObject subclass that represents instances of this CLASSOBJECT.
`S_ClassObjectData` | `getSuperclassData(LibrarySessionInterface session)` Gets the S_ClassObjectData of the class's superclass.
`boolean` | `hasExtendedArrayAttributes(LibrarySessionInterface session)` Returns indication as to whether the class CLASSOBJECT introduces any array-type extended attributes.
`boolean` | `isAbstract(LibrarySessionInterface session)` Gets whether the class is abstract.
`protected static boolean` | `isFakeableAttribute(S_LibrarySession session, long id)` Gets whether the S_AttributeData constructor would, if passed a null or zero-length arguments argument, fake resolve the S_AttributeData for the specified attribute id.
`boolean` | `isFinal(LibrarySessionInterface session)` Gets whether the class is final.
`boolean` | `isPartitioned(LibrarySessionInterface session)` Gets whether the class is partitioned.
`protected void` | `unresolveAttributes()` Invalidates the attribute data for this S_ClassObjectData.

Methods inherited from class oracle.ifs.server.S_LibraryObjectData
`added, canPurge, findOrCreateSharedState, findOrCreateSharedState, findOrCreateSharedState, findOrCreateSharedState, findOrCreateSharedState, getAttribute, getAttribute, getAttributes, getClassId, getId, getRsn, isFullySelected, removed, resetSharedState, resetSharedState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASSOBJECT_CLASSID

    public static final java.lang.Long CLASSOBJECT_CLASSID

  Description copied from class: `S_ClassObjectData`
  Magic number: the class id of CLASSOBJECT.

  (Unpublished)

### SCHEMAOBJECT_CLASSID

    public static final java.lang.Long SCHEMAOBJECT_CLASSID

  Description copied from class: `S_ClassObjectData`
  Magic number: the class id of SCHEMAOBJECT.

  (Unpublished)

### m_ServerConstructor

    protected transient java.lang.reflect.Constructor m_ServerConstructor

  Description copied from class: `S_ClassObjectData`
  The constructor for the S_LibraryObject subclass that represents instances of this CLASSOBJECT. This variant is for existing LIBRARYOBJECTs.

  (Unpublished)

### m_ServerConstructorForCreate

    protected transient java.lang.reflect.Constructor m_ServerConstructorForCreate

  Description copied from class: `S_ClassObjectData`
  The constructor for the S_LibraryObject subclass that represents instances of this CLASSOBJECT. This variant is for newly-created LIBRARYOBJECTs.

  (Unpublished)

### m_BeanConstructor

    protected transient java.lang.reflect.Constructor m_BeanConstructor

  Description copied from class: `S_ClassObjectData`
  The constructor for the LibraryObject subclass that represents instances of this CLASSOBJECT.

  (Unpublished)

### m_SelectorConstructor

    protected transient java.lang.reflect.Constructor m_SelectorConstructor

  Description copied from class: `S_ClassObjectData`
  The constructor for the S_LibraryObjectSelector subclass for this CLASSOBJECT.

  (Unpublished)

### m_EffectiveClassAttributeIndexesByName

    protected java.util.HashMap m_EffectiveClassAttributeIndexesByName

  Description copied from class: `S_ClassObjectData`
  The Integer indexes of the effective attributes of the CLASSOBJECT represented by this S_ClassObjectData. These indexes are used to access both the m_EffectiveClassAttributeIds array of this class and the m_Attributes array of S_LibraryObjectData.

  (Unpublished)

### m_EffectiveClassAttributeIds

    protected java.lang.Long[] m_EffectiveClassAttributeIds

  Description copied from class: `S_ClassObjectData`
  The Long ids of the effective attributes of the CLASSOBJECT represented by this S_ClassObjectData.

  (Unpublished)

### m_ExtendedAttributeCount

    protected int m_ExtendedAttributeCount

  Description copied from class: `S_ClassObjectData`
  The number of attributes introduced by the CLASSOBJECT represented by this S_ClassObjectData over its superclass CLASSOBJECT.

  (Unpublished)

### m_HasExtendedArrayAttributes

    protected boolean m_HasExtendedArrayAttributes

  Description copied from class: `S_ClassObjectData`
  Indicates whether this S_ClassObjectData introduces any array attributes.

  (Unpublished)

### m_AttributesRsn

    protected long m_AttributesRsn

  Description copied from class: `S_ClassObjectData`
  The resolution sequence number of m_EffectiveClassAttributeIndexesByName, m_EffectiveClassAttributeIds, and m_ExtendedAttributeCount. Generated whenever these members are resolved. A value of -1 mean these members are unresolved. Used as a timestamp-proxy.

  (Unpublished)

### m_AttributesCheckedRsn

    protected long m_AttributesCheckedRsn

  Description copied from class: `S_ClassObjectData`
  The resolution sequence number at which the validity of the m_EffectiveClassAttributeIndexesByName, m_EffectiveClassAttributeIds, and m_ExtendedAttributeCount members was last confirmed. A value of -1 means this check has never been performed. Used as a timestamp- proxy.

  (Unpublished)

Constructor Detail

### S_ClassObjectData

    public S_ClassObjectData(java.lang.Long id,
                             java.lang.Long classId,
                             AttributeValue[] attributes,
                             boolean fullySelected,
                             S_LibrarySession session)
                      throws IfsException

  Constructs an S_ClassObjectData.

  Parameters:
    `id` - the id of the CLASSOBJECT
    `classId` - the class id of the CLASSOBJECT
    `attributes` - the values of the effective attributes of the CLASSOBJECT
    `fullySelected` - whether `attributes` contains the value of every effective attribute the CLASSOBJECT
    `session` - the session
  Throws:
    `IfsException` - (IFS-30000) if the operation fails
  (Unpublished)

Method Detail

### getServerConstructor

    public java.lang.reflect.Constructor getServerConstructor(S_LibrarySession session)
                                                       throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the Constructor for the S_LibraryObject subclass that represents instances of this CLASSOBJECT.

  This variant is for existing LIBRARYOBJECTs.

  Parameters:
    `session` - the session
  Returns:
    the constructor
  Throws:
    `IfsException` - (IFS-21002) if the operaton fails
  (Unpublished)

### getServerConstructorForCreate

    public java.lang.reflect.Constructor getServerConstructorForCreate(S_LibrarySession session)
                                                                throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the Constructor for the S_LibraryObject subclass that represents instances of this CLASSOBJECT.

  This variant is for newly-created LIBRARYOBJECTs.

  Parameters:
    `session` - the session
  Returns:
    the constructor
  Throws:
    `IfsException` - (IFS-21002) if the operaton fails
  (Unpublished)

### getBeanConstructor

    public java.lang.reflect.Constructor getBeanConstructor(LibrarySession session)
                                                     throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the Constructor for the LibraryObject subclass that represents instances of this CLASSOBJECT.

  Parameters:
    `session` - the session
  Returns:
    the constructor
  Throws:
    `IfsException` - (IFS-21014) if the operaton fails
  (Unpublished)

### getSelectorConstructor

    public java.lang.reflect.Constructor getSelectorConstructor(S_LibrarySession session)
                                                         throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the Constructor for the S_LibraryObjectSelector subclass for this CLASSOBJECT.

  Parameters:
    `session` - the session
  Returns:
    the constructor
  Throws:
    `IfsException` - (IFS-21001) if the operaton fails
  (Unpublished)

### getEffectiveClassAttributeData

    public S_AttributeData[] getEffectiveClassAttributeData(LibrarySessionInterface session)
                                                     throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the effective attributes for the CLASSOBJECT as an array of S_AttributeData objects.

  The effective attributes of the CLASSOBJECT are both the attributes introduced by the CLASSOBJECT itself as well as the attributes the CLASSOBJECT inherits from its superclasses.

  Parameters:
    `session` - the session
  Returns:
    the attributes
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getEffectiveClassAttributeData

    public S_AttributeData getEffectiveClassAttributeData(int index,
                                                          LibrarySessionInterface session)
                                                   throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the specified effective attribute of the CLASSOBJECT as an S_AttributeData object.

  The effective attributes of the CLASSOBJECT are both the attributes introduced by the CLASSOBJECT itself as well as the attributes the CLASSOBJECT inherits from its superclasses.

  Parameters:
    `index` - the zero-based attribute index
    `session` - the session
  Returns:
    the attribute
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getEffectiveClassAttributeData

    public S_AttributeData getEffectiveClassAttributeData(java.lang.String attributeName,
                                                          LibrarySessionInterface session)
                                                   throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the specified effective attribute of the CLASSOBJECT as an S_AttributeData object.

  The effective attributes of the CLASSOBJECT are both the attributes introduced by the CLASSOBJECT itself as well as the attributes the CLASSOBJECT inherits from its superclasses.

  Parameters:
    `attributeName` - the attribute name
    `session` - the session
  Returns:
    the attribute, or null if there is no attribute with the specified name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getExtendedClassAttributeData

    public S_AttributeData[] getExtendedClassAttributeData(LibrarySessionInterface session)
                                                    throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the extended attributes for the CLASSOBJECT as an array of S_AttributeData objects.

  The extended attributes of the CLASSOBJECT are only the attributes introduced by the CLASSOBJECT itself, and do not include any attributes the CLASSOBJECT inherits from its superclasses.

  Parameters:
    `session` - the session
  Returns:
    the attributes. If the CLASSOBJECT has no extended attributes, an zero-length array is returned.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getExtendedClassAttributeData

    public S_AttributeData getExtendedClassAttributeData(int index,
                                                         LibrarySessionInterface session)
                                                  throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the specified extended attribute of the CLASSOBJECT as an S_AttributeData object.

  The extended attributes of the CLASSOBJECT are only the attributes introduced by the CLASSOBJECT itself, and do not include any attributes the CLASSOBJECT inherits from its superclasses.

  Parameters:
    `index` - the zero-based attribute index
    `session` - the session
  Returns:
    the attribute
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getExtendedClassAttributeData

    public S_AttributeData getExtendedClassAttributeData(java.lang.String attributeName,
                                                         LibrarySessionInterface session)
                                                  throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the specified effective attribute of the CLASSOBJECT as an S_AttributeData object.

  The extended attributes of the CLASSOBJECT are only the attributes introduced by the CLASSOBJECT itself, and do not include any attributes the CLASSOBJECT inherits from its superclasses.

  Parameters:
    `attributeName` - the attribute name
    `session` - the session
  Returns:
    the attribute, or null if there is no attribute with the specified name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getEffectiveClassAttributeIndex

    public int getEffectiveClassAttributeIndex(java.lang.String attributeName,
                                               LibrarySessionInterface session)
                                        throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the array index of the specified effective attribute of the CLASSOBJECT.

  The effective attributes of the CLASSOBJECT are both the attributes introduced by the CLASSOBJECT itself as well as the attributes the CLASSOBJECT inherits from its superclasses.

  Parameters:
    `attributeName` - the attribute name
    `session` - the sessopm
  Returns:
    the array index
  Throws:
    `IfsException` - (IFS-10407) if the attribute name is not the name of an effective attribute of the CLASSOBJECT or IfsException if the operation otherwise fails
  (Unpublished)

### getExtendedClassAttributeIndex

    public int getExtendedClassAttributeIndex(java.lang.String attributeName,
                                              LibrarySessionInterface session)
                                       throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the array index of the specified extended attribute of the CLASSOBJECT.

  The extended attributes of the CLASSOBJECT are only the attributes introduced by the CLASSOBJECT itself, and do not include any attributes the CLASSOBJECT inherits from its superclasses.

  Parameters:
    `attributeName` - the attribute name
    `session` - the session
  Returns:
    the array index
  Throws:
    `IfsException` - (IFS-10407) if the attribute name is not the name of an extended attribute of the CLASSOBJECT or IfsException if the operation otherwise fails
  (Unpublished)

### getEffectiveClassAttributeCount

    protected int getEffectiveClassAttributeCount(LibrarySessionInterface session)
                                           throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the number of effective attributes in this class.

  Parameters:
    `session` - the session
  Returns:
    the count
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### hasExtendedArrayAttributes

    public boolean hasExtendedArrayAttributes(LibrarySessionInterface session)
                                       throws IfsException

  Description copied from class: `S_ClassObjectData`
  Returns indication as to whether the class CLASSOBJECT introduces any array-type extended attributes.

  The extended attributes of the CLASSOBJECT are only the attributes introduced by the CLASSOBJECT itself, and do not include any attributes the CLASSOBJECT inherits from its superclasses.

  Parameters:
    `session` - the session
  Returns:
    true if this class introduces one or more array-type attributes.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### unresolveAttributes

    protected final void unresolveAttributes()
                                      throws IfsException

  Description copied from class: `S_ClassObjectData`
  Invalidates the attribute data for this S_ClassObjectData.

  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getAttributesRsn

    public long getAttributesRsn()
                          throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the resolution sequence number of m_EffectiveClassAttributeIndexesByName, m_EffectiveClassAttributeIds, and m_ExtendedAttributeCount.

  Returns:
    the RSN
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isFakeableAttribute

    protected static boolean isFakeableAttribute(S_LibrarySession session,
                                                 long id)
                                          throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets whether the S_AttributeData constructor would, if passed a null or zero-length arguments argument, fake resolve the S_AttributeData for the specified attribute id.

  Parameters:
    `session` - the session
    `id` - the attribute id to test
  Returns:
    whether the constructor would fake resolve
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getName

    public final java.lang.String getName(LibrarySessionInterface session)
                                   throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the class name.

  Parameters:
    `session` - the S_LibrarySession
  Returns:
    the name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getSuperclassData

    public final S_ClassObjectData getSuperclassData(LibrarySessionInterface session)
                                              throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the S_ClassObjectData of the class's superclass.

  Parameters:
    `session` - the S_LibrarySession
  Returns:
    the superclass data
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getServerClassPath

    public final java.lang.String getServerClassPath(LibrarySessionInterface session)
                                              throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the server-side classname.

  Parameters:
    `session` - the S_LibrarySession
  Returns:
    the classname. If the SERVERCLASSPATH attribute is null for the class, returns the value of the first non-null SERVERCLASSPATH up the inheritance hierarchy.
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDatabaseObjectName

    public final java.lang.String getDatabaseObjectName(LibrarySessionInterface session)
                                                 throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the class database object name.

  Parameters:
    `session` - the S_LibrarySession
  Returns:
    the database object name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDatabaseTableName

    public final java.lang.String getDatabaseTableName(LibrarySessionInterface session)
                                                throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the name of the database table of the class.

  Parameters:
    `session` - the S_LibrarySession
  Returns:
    the table name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDatabaseViewName

    public final java.lang.String getDatabaseViewName(LibrarySessionInterface session)
                                               throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the name of the database view of the class.

  Parameters:
    `session` - the S_LibrarySession
  Returns:
    the table name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### getDatabaseBaseViewName

    public final java.lang.String getDatabaseBaseViewName(LibrarySessionInterface session)
                                                   throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets the name of the database base view of the class. This is the view used in admin mode against PublicObject classes.

  Parameters:
    `session` - the S_LibrarySession
  Returns:
    the view name
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isAbstract

    public final boolean isAbstract(LibrarySessionInterface session)
                             throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets whether the class is abstract.

  It is not possible to create instance of abstract classes.

  Parameters:
    `session` - the S_LibrarySession
  Returns:
    whether the class is abstract
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isFinal

    public final boolean isFinal(LibrarySessionInterface session)
                          throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets whether the class is final.

  It is not possible to subclass final classes.

  Parameters:
    `session` - the S_LibrarySession
  Returns:
    whether the class is final
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### isPartitioned

    public final boolean isPartitioned(LibrarySessionInterface session)
                                throws IfsException

  Description copied from class: `S_ClassObjectData`
  Gets whether the class is partitioned.

  Parameters:
    `session` - the S_LibrarySession
  Returns:
    whether the class is partitioned
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD